Package org.apache.solr.client.solrj.request

# Class SchemaApi

java.lang.Object
org.apache.solr.client.solrj.request.SchemaApi

public class SchemaApi extends Object
Experimental `SolrRequest`s for schema, generated from an OAS.

See individual request and response classes for more detailed and relevant information.

All SolrRequest implementations rely on v2 APIs which may require a SolrClient configured to use the '/api' path prefix, instead of '/solr'.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SchemaApi.AddDynamicField`
`static class`
`SchemaApi.AddField`
`static class`
`SchemaApi.AddFieldType`
`static class`
`SchemaApi.BulkSchemaModification`
`static class`
`SchemaApi.DeleteDynamicField`
`static class`
`SchemaApi.DeleteField`
`static class`
`SchemaApi.DeleteFieldType`
`static class`
`SchemaApi.GetDynamicFieldInfo`
`static class`
`SchemaApi.GetFieldInfo`
`static class`
`SchemaApi.GetFieldTypeInfo`
`static class`
`SchemaApi.GetSchemaInfo`
`static class`
`SchemaApi.GetSchemaName`
`static class`
`SchemaApi.GetSchemaSimilarity`
`static class`
`SchemaApi.GetSchemaUniqueKey`
`static class`
`SchemaApi.GetSchemaVersion`
`static class`
`SchemaApi.GetSchemaZkVersion`
`static class`
`SchemaApi.ListCopyFields`
`static class`
`SchemaApi.ListDynamicFields`
`static class`
`SchemaApi.ListSchemaFields`
`static class`
`SchemaApi.ListSchemaFieldTypes`

## Constructor Summary

Constructors
Constructor
Description
`SchemaApi()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaApi

public SchemaApi()